Skip to main content

Create a service request for Entrata

POSThttps://api.propexo.com/v1/service-requests/entrata/
Method
maintenance/sendWorkOrders
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    service_request_category_idstringrequired

    The Propexo unique identifier for the service request category

    service_request_priority_idstringrequired

    The Propexo unique identifier for the service request priority

    service_request_location_idstringrequired

    The Propexo unique identifier for the service request location

    service_request_problem_idstringrequired

    The Propexo unique identifier for the service request problem

    employee_idstring

    The Propexo unique identifier for the employee

    service_descriptionstringrequired

    A description of the service request

    due_datestring<date-time>

    The due date associated with the service request

    access_is_authorizedbooleanrequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    is_floatingboolean
    scheduled_end_datestring<date-time>

    The scheduled end date associated with the request. If provided, scheduled_start_date must be provided as well, and they must be the same day (Entrata restriction).

    scheduled_start_datestring<date-time>

    The scheduled start date associated with the request. If provided, scheduled_end_date must be provided as well, and they must be the same day (Entrata restriction).

    phone_1stringrequired
    unit_idstring

    The Propexo unique identifier for the unit

    resident_idstring

    The Propexo unique identifier for the resident

    lease_idstring

    The Propexo unique identifier for the lease

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    service_request_category_idstringrequired

    The Propexo unique identifier for the service request category

    service_request_priority_idstringrequired

    The Propexo unique identifier for the service request priority

    service_request_location_idstringrequired

    The Propexo unique identifier for the service request location

    service_request_problem_idstringrequired

    The Propexo unique identifier for the service request problem

    employee_idstring | nullnullablerequired

    The Propexo unique identifier for the employee

    service_descriptionstringrequired

    A description of the service request

    due_date(string | null)<date-time>nullablerequired

    The due date associated with the service request

    access_is_authorizedbooleanrequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    is_floatingboolean | nullnullablerequired
    scheduled_end_date(string | null)<date-time>nullablerequired

    The scheduled end date associated with the request. If provided, scheduled_start_date must be provided as well, and they must be the same day (Entrata restriction).

    scheduled_start_date(string | null)<date-time>nullablerequired

    The scheduled start date associated with the request. If provided, scheduled_end_date must be provided as well, and they must be the same day (Entrata restriction).

    phone_1stringrequired
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    resident_idstring | nullnullablerequired

    The Propexo unique identifier for the resident

    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-requests/entrata/
curl -X POST https://api.propexo.com/v1/service-requests/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"service_description": "string",
"access_is_authorized": true,
"phone_1": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"employee_id": "string",
"service_description": "string",
"due_date": "2024-07-29T15:51:28.071Z",
"access_is_authorized": true,
"is_floating": true,
"scheduled_end_date": "2024-07-29T15:51:28.071Z",
"scheduled_start_date": "2024-07-29T15:51:28.071Z",
"phone_1": "string",
"unit_id": "string",
"resident_id": "string",
"lease_id": "string"
}
}